// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: true, name: '群组管理', leftArrow: true, useBar: false },
    // 主体高度
    infoHeight: '',
    radio:'',
    list: [
      { id: '1', name: '群名1', create_time: '2022-02-23', brief: '无',status: '审核通过' },
      { id: '1', name: '群名2', create_time: '2022-02-23', brief: '无',status: '审核通过' },
    ],
    // 弹框
    dialog: { title: '详细信息', show: false, type: '1' },
    // 弹框2
    dialog: { title: '解散审核', show: false, type: '2' },
    // 详细信息
    info: { id: '1', name: '群名1', create_time: '2022-02-23', brief: '无',status: '审核通过'},
  },
  // 详细信息
  toView: function (e) {
    const { id } = e.currentTarget.dataset;
    console.log(id);
    // this.setData({ info: {} })
    this.setData({ dialog: { title: '详细信息', show: true, type: '1' } })
  },
  formSubmit(e) {
    console.log('form发生了submit事件，携带数据为：', e.detail.value)
    const radio = e.detail.value.radio;
    console.log(radio);
    wx.showModal({
          title: '提示',content: '确定解散？',
          success: function () {
          if (radio=='radio3') {//这里是点击了确定以后
            wx.showToast({ title: `解散成功`, icon: 'success', duration: 2000 })
          } else {//这里是点击了取消以后
            wx.showToast({ title: `解散失败`, icon: 'error', duration: 2000 })
          }
        }
      })
  },
  back: function () {
    wx.navigateBack({ url: '/pages/home/index' })
  },
  // 添加人员
  toAdd: function () {
    wx.navigateTo({ url: `/pages/group/detail` })
  },
  // 信息变更
  toEdit: function (e) {
    const { id } = e.currentTarget.dataset;
    wx.navigateTo({ url: `/pages/group/detail?id=${id}` })
  },
  // 解散审核
  dissolution: function (e) {
    const { id } = e.currentTarget.dataset;
    console.log(id);
    // this.setData({ info: {} })
    this.setData({ dialog: { title: '解散审核', show: true, type: '2' } })
  },
  toAudit: function () {
    wx.navigateTo({ url: `/pages/group/create` })
  },
  toAdds: function () {
    wx.navigateTo({ url: `/pages/group/add` })
  },

  // // 解散审核
  // toUnbound: function (e) {
  //   const { radio } = e.currentTarget.dataset.radio;
  //   console.log(radio);
  //   // wx.showToast({ title: `解散成功`, icon: 'success', duration: 2000 })
  //   wx.showModal({
  //     title: '提示',content: '确定解散？',
  //     success: function (radio) {
  //     if (radio=='radio3') {//这里是点击了确定以后
  //       wx.showToast({ title: `解散成功`, icon: 'success', duration: 2000 })
  //       wx.navigateBack({ url: `/pages/group/index` })
  //     } else {//这里是点击了取消以后
  //       wx.showToast({ title: `解散失败`, icon: 'error', duration: 2000 })
  //     }
  //   }
  // })
  // },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 计算高度
    this.searchHeight()
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    // 减去状态栏
    let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})