// pages/login/login.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: true, name: '商品信息', leftArrow: true, useBar: false },
    // 主体高度
    infoHeight: '',
    // 查询条件
    searchForm: {},
    // 商品信息
    list: [],
    // 弹框
    dialog: { title: '详细信息', show: false, type: '1' },
    // 详细信息
    info: {
      id: '2', name: '测试商品2', number: '2',
      bnrUrl: [
        { "url": "/image/background.jpg" },
        { "url": "/image/background.jpg" },
      ]
    },

  },
  back: function () {
    wx.navigateBack({ url: '/pages/home/index' })
  },
  // 详细信息
  toView: function (e) {
    const { id } = e.currentTarget.dataset;
    console.log(id);
    // this.setData({ info: {} })
    this.setData({ dialog: { title: '详细信息', show: true, type: '1' } })
  },
  // 名称查询
  toSearch: function (e) {
    const { title } = e.currentTarget.dataset;
    wx.showModal({
      title: title == 'name' ? '名称查询' : '编号查询',
      content: '',
      editable: true,
      success: (res) => {
        if (res.confirm) {
          var key = `searchForm.${title}`
          this.setData({ [key]: res.content })
          this.search();
        }
        else if (res.cancel) {
          console.log('2');
        }
      }
    })
  },
  // 重置查询
  resetSearch: function () {
    this.setData({ searchForm: {} })
    this.search()
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 计算高度
    this.searchHeight();
    // 查询数据
    this.search();
  },
  // 查询数据
  search: function () {
    // 查询条件
    console.log(this.data.searchForm);
    let data = [
      { id: '1', name: '测试商品1', number: '1', },
      { id: '2', name: '测试商品2', number: '2', },
    ]
    this.setData({ list: data })
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    // 减去状态栏
    let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})